/***************************************************************************
 *   Copyright (C) 2005 by TAM(Teppei Tamra)                               *
 *   tam-t@par.odn.ne.jp                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "wnnprediction.h"

#ifdef HAVE_GETTEXT
  #include <libintl.h>
  #define _(String) dgettext(GETTEXT_PACKAGE,String)
  #define N_(String) (String)
#else
  #define _(String) (String)
  #define N_(String) (String)
  #define bindtextdomain(Package,Directory)
  #define textdomain(domain)
  #define bind_textdomain_codeset(domain,codeset)
#endif


WnnPrediction::WnnPrediction(ConfigPointer cfg,WnnConversion *wnn) : Predictor(cfg)
{
    convertor = wnn;
}


WnnPrediction::~WnnPrediction()
{
}



/*!
    \fn WnnPrediction::getPredictionList(const WideString &str)
 */
ResultList WnnPrediction::getPredictionList(const WideString &str)
{
    return convertor->getYosokuList(str);
}


/*!
    \fn WnnPrediction::disconnect()
 */
void WnnPrediction::disconnect()
{
    // disconnectはWnnConversion側に一任。
    return;
}


/*!
    \fn WnnPrediction::connect()
 */
bool WnnPrediction::connect()
{
    return convertor->connect();
}


/*!
    \fn WnnPrediction::isConnected()
 */
bool WnnPrediction::isConnected()
{
    return convertor->isConnected();
}


/*!
    \fn WnnPrediction::getPropertyName()
 */
String WnnPrediction::getPropertyName()
{
    return String(_("WnnPrediction"));
}

/*!
    \fn WnnPrediction::getName()
 */
String WnnPrediction::getName()
{
    return String("WnnPrediction");
}

/*!
    \fn WnnPrediction::update(const WideString str,const WideString yomi)
 */
void WnnPrediction::update(const WideString str,const WideString yomi)
{
    convertor->updateYosoku(str,yomi);
    return;
}

